Package org.apache.commons.imaging.color

## Class ColorConversions

- java.lang.Object
- - org.apache.commons.imaging.color.ColorConversions

-     public final class ColorConversions
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `convertCIELabtoARGBTest​(int cieL, int cieA, int cieB)` |
    `static ColorCieLch` | `convertCIELabtoCIELCH​(double L, double a, double b)` |
    `static ColorCieLch` | `convertCIELabtoCIELCH​(ColorCieLab cielab)` |
    `static ColorDin99Lab` | `convertCIELabToDIN99bLab​(double L, double a, double b)` |
    `static ColorDin99Lab` | `convertCIELabToDIN99bLab​(ColorCieLab cie)` |
    `static ColorDin99Lab` | `convertCIELabToDIN99oLab​(double L, double a, double b)` | DIN99o.
    `static ColorDin99Lab` | `convertCIELabToDIN99oLab​(ColorCieLab cie)` | DIN99o.
    `static ColorXyz` | `convertCIELabtoXYZ​(double L, double a, double b)` |
    `static ColorXyz` | `convertCIELabtoXYZ​(ColorCieLab cielab)` |
    `static ColorCieLab` | `convertCIELCHtoCIELab​(double L, double C, double H)` |
    `static ColorCieLab` | `convertCIELCHtoCIELab​(ColorCieLch cielch)` |
    `static ColorXyz` | `convertCIELuvtoXYZ​(double L, double u, double v)` |
    `static ColorXyz` | `convertCIELuvtoXYZ​(ColorCieLuv cielch)` |
    `static ColorCmy` | `convertCMYKtoCMY​(double C, double M, double Y, double K)` |
    `static ColorCmy` | `convertCMYKtoCMY​(ColorCmyk cmyk)` |
    `static int` | `convertCMYKtoRGB​(int c, int m, int y, int k)` |
    `static int` | `convertCMYKtoRGB_Adobe​(int sc, int sm, int sy, int sk)` |
    `static ColorCmyk` | `convertCMYtoCMYK​(ColorCmy cmy)` |
    `static int` | `convertCMYtoRGB​(ColorCmy cmy)` |
    `static ColorCieLab` | `convertDIN99bLabToCIELab​(double L99b, double a99b, double b99b)` |
    `static ColorCieLab` | `convertDIN99bLabToCIELab​(ColorDin99Lab dinb)` |
    `static ColorCieLab` | `convertDIN99oLabToCIELab​(double L99o, double a99o, double b99o)` | DIN99o.
    `static ColorCieLab` | `convertDIN99oLabToCIELab​(ColorDin99Lab dino)` | DIN99o.
    `static int` | `convertHSLtoRGB​(double H, double S, double L)` |
    `static int` | `convertHSLtoRGB​(ColorHsl hsl)` |
    `static int` | `convertHSVtoRGB​(double H, double S, double V)` |
    `static int` | `convertHSVtoRGB​(ColorHsv HSV)` |
    `static ColorXyz` | `convertHunterLabtoXYZ​(double L, double a, double b)` |
    `static ColorXyz` | `convertHunterLabtoXYZ​(ColorHunterLab cielab)` |
    `static ColorCmy` | `convertRGBtoCMY​(int rgb)` |
    `static ColorHsl` | `convertRGBtoHSL​(int rgb)` |
    `static ColorHsv` | `convertRGBtoHSV​(int rgb)` |
    `static ColorXyz` | `convertRGBtoXYZ​(int rgb)` |
    `static ColorCieLab` | `convertXYZtoCIELab​(double X, double Y, double Z)` |
    `static ColorCieLab` | `convertXYZtoCIELab​(ColorXyz xyz)` |
    `static ColorCieLuv` | `convertXYZtoCIELuv​(double X, double Y, double Z)` |
    `static ColorCieLuv` | `convertXYZtoCIELuv​(ColorXyz xyz)` |
    `static ColorHunterLab` | `convertXYZtoHunterLab​(double X, double Y, double Z)` |
    `static ColorHunterLab` | `convertXYZtoHunterLab​(ColorXyz xyz)` |
    `static int` | `convertXYZtoRGB​(double X, double Y, double Z)` |
    `static int` | `convertXYZtoRGB​(ColorXyz xyz)` |
    `static double` | `degree_2_radian​(double degree)` |
    `static double` | `radian_2_degree​(double radian)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### convertXYZtoCIELab

          public static ColorCieLab convertXYZtoCIELab​(ColorXyz xyz)

    - #### convertXYZtoCIELab

          public static ColorCieLab convertXYZtoCIELab​(double X,
                                                       double Y,
                                                       double Z)

    - #### convertCIELabtoXYZ

          public static ColorXyz convertCIELabtoXYZ​(ColorCieLab cielab)

    - #### convertCIELabtoXYZ

          public static ColorXyz convertCIELabtoXYZ​(double L,
                                                    double a,
                                                    double b)

    - #### convertXYZtoHunterLab

          public static ColorHunterLab convertXYZtoHunterLab​(ColorXyz xyz)

    - #### convertXYZtoHunterLab

          public static ColorHunterLab convertXYZtoHunterLab​(double X,
                                                             double Y,
                                                             double Z)

    - #### convertHunterLabtoXYZ

          public static ColorXyz convertHunterLabtoXYZ​(ColorHunterLab cielab)

    - #### convertHunterLabtoXYZ

          public static ColorXyz convertHunterLabtoXYZ​(double L,
                                                       double a,
                                                       double b)

    - #### convertXYZtoRGB

          public static int convertXYZtoRGB​(ColorXyz xyz)

    - #### convertXYZtoRGB

          public static int convertXYZtoRGB​(double X,
                                            double Y,
                                            double Z)

    - #### convertRGBtoXYZ

          public static ColorXyz convertRGBtoXYZ​(int rgb)

    - #### convertRGBtoCMY

          public static ColorCmy convertRGBtoCMY​(int rgb)

    - #### convertCMYtoRGB

          public static int convertCMYtoRGB​(ColorCmy cmy)

    - #### convertCMYtoCMYK

          public static ColorCmyk convertCMYtoCMYK​(ColorCmy cmy)

    - #### convertCMYKtoCMY

          public static ColorCmy convertCMYKtoCMY​(ColorCmyk cmyk)

    - #### convertCMYKtoCMY

          public static ColorCmy convertCMYKtoCMY​(double C,
                                                  double M,
                                                  double Y,
                                                  double K)

    - #### convertCMYKtoRGB

          public static int convertCMYKtoRGB​(int c,
                                             int m,
                                             int y,
                                             int k)

    - #### convertRGBtoHSL

          public static ColorHsl convertRGBtoHSL​(int rgb)

    - #### convertHSLtoRGB

          public static int convertHSLtoRGB​(ColorHsl hsl)

    - #### convertHSLtoRGB

          public static int convertHSLtoRGB​(double H,
                                            double S,
                                            double L)

    - #### convertRGBtoHSV

          public static ColorHsv convertRGBtoHSV​(int rgb)

    - #### convertHSVtoRGB

          public static int convertHSVtoRGB​(ColorHsv HSV)

    - #### convertHSVtoRGB

          public static int convertHSVtoRGB​(double H,
                                            double S,
                                            double V)

    - #### convertCMYKtoRGB_Adobe

          public static int convertCMYKtoRGB_Adobe​(int sc,
                                                   int sm,
                                                   int sy,
                                                   int sk)

    - #### convertCIELabtoARGBTest

          public static int convertCIELabtoARGBTest​(int cieL,
                                                    int cieA,
                                                    int cieB)

    - #### convertCIELabtoCIELCH

          public static ColorCieLch convertCIELabtoCIELCH​(ColorCieLab cielab)

    - #### convertCIELabtoCIELCH

          public static ColorCieLch convertCIELabtoCIELCH​(double L,
                                                          double a,
                                                          double b)

    - #### convertCIELCHtoCIELab

          public static ColorCieLab convertCIELCHtoCIELab​(ColorCieLch cielch)

    - #### convertCIELCHtoCIELab

          public static ColorCieLab convertCIELCHtoCIELab​(double L,
                                                          double C,
                                                          double H)

    - #### degree_2_radian

          public static double degree_2_radian​(double degree)

    - #### radian_2_degree

          public static double radian_2_degree​(double radian)

    - #### convertXYZtoCIELuv

          public static ColorCieLuv convertXYZtoCIELuv​(ColorXyz xyz)

    - #### convertXYZtoCIELuv

          public static ColorCieLuv convertXYZtoCIELuv​(double X,
                                                       double Y,
                                                       double Z)

    - #### convertCIELuvtoXYZ

          public static ColorXyz convertCIELuvtoXYZ​(ColorCieLuv cielch)

    - #### convertCIELuvtoXYZ

          public static ColorXyz convertCIELuvtoXYZ​(double L,
                                                    double u,
                                                    double v)

    - #### convertCIELabToDIN99bLab

          public static ColorDin99Lab convertCIELabToDIN99bLab​(ColorCieLab cie)

    - #### convertCIELabToDIN99bLab

          public static ColorDin99Lab convertCIELabToDIN99bLab​(double L,
                                                               double a,
                                                               double b)

    - #### convertDIN99bLabToCIELab

          public static ColorCieLab convertDIN99bLabToCIELab​(ColorDin99Lab dinb)

    - #### convertDIN99bLabToCIELab

          public static ColorCieLab convertDIN99bLabToCIELab​(double L99b,
                                                             double a99b,
                                                             double b99b)

    - #### convertCIELabToDIN99oLab

          public static ColorDin99Lab convertCIELabToDIN99oLab​(ColorCieLab cie)

      DIN99o.
      Parameters:
        `cie` - CIE color.
      Returns:
        CIELab colors converted to DIN99oLab color space.
      See Also:
        https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

    - #### convertCIELabToDIN99oLab

          public static ColorDin99Lab convertCIELabToDIN99oLab​(double L,
                                                               double a,
                                                               double b)

      DIN99o.
      Parameters:
        `L` - lightness of color.
        `a` - position between red and green.
        `b` - position between yellow and blue.
      Returns:
        CIBELab colors converted to DIN99oLab color space.
      See Also:
        https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

    - #### convertDIN99oLabToCIELab

          public static ColorCieLab convertDIN99oLabToCIELab​(ColorDin99Lab dino)

      DIN99o.
      Parameters:
        `dino` - color in the DIN99 color space.
      Returns:
        DIN99o colors converted to CIELab color space.
      See Also:
        https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

    - #### convertDIN99oLabToCIELab

          public static ColorCieLab convertDIN99oLabToCIELab​(double L99o,
                                                             double a99o,
                                                             double b99o)

      DIN99o.
      Parameters:
        `L99o` - lightness of color.
        `a99o` - position between red and green.
        `b99o` - position between yellow and blue.
      Returns:
        DIN99o colors converted to CIELab color space.
      See Also:
        https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum